Name: update-alternatives
Version: 1.19.7
Release: 2
License: GPL-3.0-or-later
Summary: Maintain symbolic links determining default commands
Url: https://manpages.debian.org/stretch/dpkg/update-alternatives.1.en.html

BuildRequires: ncurses-devel

Source0: http://ftp.de.debian.org/debian/pool/main/d/dpkg/dpkg_%{version}.tar.xz

Patch0: update-alternatives-enable_os400.patch

%description
update-alternatives creates, removes, maintains and displays information about
the symbolic links comprising the alternatives system. It is possible for
several programs fulfilling the same or similar functions to be installed on a
single system at the same time. For example, many systems have several text
editors installed at once. This gives choice to the users of a system, allowing
each to use a different editor, if desired, but makes it difficult for a
program to make a good choice of editor to invoke if the user has not specified
a particular preference.


%prep
# update-alternatives is shipped as part of dpkg
%setup -q -n dpkg-%{version}

%patch0 -p1


%build

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib"

%make_build -C lib/compat #builds libcompat.a, required by update-alternatives
%make_build -C utils/ update-alternatives
%make_build -C man/ update-alternatives.1


%install

make -C utils/ install-data-local DESTDIR=%{buildroot}

install -d -m 0755 %{buildroot}/%{_bindir}/
install -d -m 0755 %{buildroot}/%{_mandir}/man1/

install -pm 0644 man/update-alternatives.1 %{buildroot}/%{_mandir}/man1/

install -pm 0755 utils/update-alternatives %{buildroot}/%{_bindir}

ln -s update-alternatives %{buildroot}/%{_bindir}/alternatives


%files
%defattr(-, qsys, *none)

%dir %{_sysconfdir}/alternatives
%{_sysconfdir}/alternatives/README

%{_bindir}/alternatives
%{_bindir}/update-alternatives

%{_mandir}/man1/update-alternatives.1*

%dir %{_localstatedir}/lib/dpkg
%{_localstatedir}/lib/dpkg/alternatives


%changelog
* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.19.7
- Use generic paths for man and info pages to allow for compression

* Tue Apr 14 2020 Mark Irish <mirish@ibm.com> - 1.19.7
- Install binaries into /QOpenSys/pkgs/bin/ so they exist on the default PATH

* Wed Jan 15 2020 Mark Irish <mirish@ibm.com> - 1.19.7
- Initial spec file
